### Method

# Gimp Brush set_aspect_ratio

since: 2.4

#### Declaration [src]

    gboolean
    gimp_brush_set_aspect_ratio (
      GimpBrush* brush,
      gdouble aspect_ratio_in,
      gdouble* aspect_ratio_out
    )

#### Description [src]

Sets the aspect ratio of a generated brush.

Sets the aspect ratio for a generated brush. Clamps aspect ratio to [0.0, 1000.0]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Available since: 2.4

#### Parameters

`aspect_ratio_in`

  Type: `gdouble`

  The desired brush aspect ratio.

`aspect_ratio_out`

  Type: `gdouble*`

  The brush aspect ratio actually assigned.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.